PETSc version 3.15.5
Fix/Edit manual page

# PetscPrintf

Prints to standard out, only from the first processor in the communicator. Calls from other processes are ignored.

### Synopsis

    PetscErrorCode PetscPrintf(MPI_Comm comm,const char format[],...)

Not Collective

### Input Parameters

| comm | - the communicator
| format | - the usual printf() format string

### Notes

PetscPrintf() supports some format specifiers that are unique to PETSc. See the manual page for PetscFormatConvert() for details.

### Fortran Note

The call sequence is PetscPrintf(MPI_Comm, character(*), PetscErrorCode ierr) from Fortran. That is, you can only pass a single character string from Fortran.

### See Also

PetscFPrintf(), PetscSynchronizedPrintf(), PetscFormatConvert()

### Level

intermediate

### Location

src/sys/fileio/mprint.c

### Examples

src/sys/classes/random/tutorials/ex1.c.html
src/sys/classes/random/tutorials/ex2.c.html
src/sys/tutorials/ex1.c.html
src/sys/tutorials/ex2.c.html
src/sys/tutorials/ex4.c.html
src/sys/tutorials/ex5.c.html
src/sys/tutorials/ex16.c.html
src/sys/tutorials/ex1f.F90.html
src/sys/tutorials/ex2f.F90.html
src/sys/tutorials/ex16f.F90.html
src/sys/webclient/tutorials/urlshorten.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages